Bug 697298 - RFE: fastestmirror doesn't obey skip_if_unavailable
RFE: fastestmirror doesn't obey skip_if_unavailable
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-04-17 11:37 EDT by Mads Kiilerich
Modified: 2014-01-21 18:18 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-16 11:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (1.33 KB, text/plain)
2011-04-17 11:37 EDT, Mads Kiilerich
no flags Details

  None (edit)
Description Mads Kiilerich 2011-04-17 11:37:32 EDT
abrt version: 1.1.18
architecture: i686
cmdline: /usr/bin/python -u /usr/bin/abrt-debuginfo-install /var/spool/abrt/ccpp-1303049078-1563/coredump /var/run/abrt/tmp-19883-1303049091 /var/cache/abrt-di
comment: This error should be handled nicely and not give a stacktrace
component: abrt
executable: /usr/bin/abrt-debuginfo-install
package: abrt-1.1.18-1.fc14
reason: yumRepo.py:421:check:RepoError: Cannot find a valid baseurl for repo: rpmfusion-free-rawhide-debuginfo
release: Fedora release 14 (Laughlin)
How to reproduce: don't know
time: 1303049093
uid: 0

yumRepo.py:421:check:RepoError: Cannot find a valid baseurl for repo: rpmfusion-free-rawhide-debuginfo

Traceback (most recent call last):
  File "/usr/bin/abrt-debuginfo-install", line 454, in <module>
    result = downloader.download(missing)
  File "/usr/bin/abrt-debuginfo-install", line 189, in download
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 87, in doSetup
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 183, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/fastestmirror.py", line 194, in postreposetup_hook
    if downgrade_ftp and _len_non_ftp(repo.urls) == 1:
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 677, in <lambda>
    urls = property(fget=lambda self: self._geturls(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 674, in _geturls
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 645, in _baseurlSetup
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 421, in check
    'Cannot find a valid baseurl for repo: %s' % self.id
RepoError: Cannot find a valid baseurl for repo: rpmfusion-free-rawhide-debuginfo

Local variables in innermost frame:
self: <yum.yumRepo.YumRepository object at 0xa36f4ac>
Comment 1 Mads Kiilerich 2011-04-17 11:37:35 EDT
Created attachment 492718 [details]
File: backtrace
Comment 2 Jiri Moskovcak 2011-04-18 08:32:46 EDT
In the ABRT debuginfo install script we use "skip_if_unavailable", so I would expect yum to just skip the repo if there is no usable baseurl or is there some other option which would make yum even more error tolerant?
Comment 3 James Antill 2011-04-18 12:53:27 EDT
it's the fastestmirror plugin ... it isn't doing the same checks as core yum when skip_if_unavailable.
Comment 4 Fedora End Of Life 2012-08-16 11:49:47 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.